zerops:
  - setup: base
    build:
      prepareCommands:
        - rustup target add wasm32-unknown-unknown
      buildCommands:
        - cat /etc/os-release
        - cat /etc/profile.d/90-zerops-path.sh
        - echo "$PATH"
        - cargo --version && rustc --version
        - cargo build --release --bins
      cache: 
        - target/
      deployFiles:
        - target/release/rustdummy
    run:
      ports:
        - port: 8080
          httpSupport: true
      prepareCommands:
        - rustup target add wasm32-unknown-unknown
        - cat /etc/os-release
        - cat /etc/profile.d/90-zerops-path.sh
        - echo "$PATH"
        - cargo --version && rustc --version
      start: ./target/release/rustdummy

  - setup: alpine
    extends: base
    build:
      os: alpine
      base: rust@1
    run:
      os: alpine
      base: rust@latest
      
  - setup: alpine186
    extends: base
    build:
      os: alpine
      base: rust@1.86
    run:
      os: alpine
      base: rust@1.86
      
  - setup: alpinenightly
    extends: base
    build:
      os: alpine
      base: rust@nightly
    run:
      os: alpine
      base: rust@nightly
      
  - setup: ubuntu
    extends: base
    build:
      os: ubuntu
      base: rust@stable
    run:
      os: ubuntu
      base: rust@stable
      
  - setup: ubuntu186
    extends: base
    build:
      os: ubuntu
      base: rust@1.86
    run:
      os: ubuntu
      base: rust@1.86
      
  - setup: ubuntunightly
    extends: base
    build:
      os: ubuntu
      base: rust@nightly
    run:
      os: ubuntu
      base: rust@nightly
